<section class="section" id="forms">
	<h2 class="section-title">Editable String</h2>

	<div class="block">
		<div class="editable-example fs-lg">Hello world</div>
	</div>
</section>

<script>
	document.addEventListener("DOMContentLoaded", e => {
		setTimeout(() => {
			const edstr = editableString(document.querySelector(".editable-example"));
			edstr.editableString.onSwitch(component => {
				console.log("SWITCH", component);
			});

			edstr.editableString.onChange(component => {
				console.log("onChange", component.value);
			});
		}, 100);
	});
</script>